# Generated by Django 5.0.6 on 2024-05-27 02:00

import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PrivateKey',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('key', models.BinaryField()),
                ('key_type', models.IntegerField()),
                ('key_size', models.IntegerField()),
                ('exponent', models.IntegerField()),
            ],
            options={
                'db_table': 'private_key',
            },
        ),
        migrations.CreateModel(
            name='SubjectAlternativeName',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=260)),
            ],
            options={
                'db_table': 'subject_alternative_name',
            },
        ),
        migrations.CreateModel(
            name='Certificate',
            fields=[
                ('uuid', models.UUIDField(auto_created=uuid.uuid4, default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('common_name', models.CharField(max_length=255)),
                ('signature_algorithm', models.CharField(max_length=255)),
                ('issuer_name', models.CharField(max_length=255)),
                ('serial_number', models.CharField(max_length=255, null=True, unique=True)),
                ('key_usage', models.BinaryField(null=True)),
                ('extended_key_usage', models.BinaryField(null=True)),
                ('basic_constraint', models.BinaryField(null=True)),
                ('not_valid_before', models.DateTimeField()),
                ('not_valid_after', models.DateTimeField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('deleted', models.BooleanField(default=False)),
                ('deleted_at', models.DateTimeField(null=True)),
                ('private_key', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data.privatekey')),
                ('subject_alternative_names', models.ManyToManyField(to='data.subjectalternativename')),
            ],
            options={
                'db_table': 'certificate',
            },
        ),
    ]
